#include "StdAfx.h"
#include "DefaultShader.h"


void DefaultShader::SetTextureSpecularSeparate(bool enabled)
{
	if (enabled)
		glLightModeli(GL_LIGHT_MODEL_COLOR_CONTROL, GL_SEPARATE_SPECULAR_COLOR);
	else
		glLightModeli(GL_LIGHT_MODEL_COLOR_CONTROL, GL_SINGLE_COLOR);
}
